| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Properties | Private Attributes

# IG::Lib::LoadableRealFunctionBase Class Reference

A RealFunction class used as base class for dynamically loaded functions. Bunctions loaded from scripts will inherit from this class, which enables script writers to assemble just the minimum necessary amount of code. More...

Inheritance diagram for IG::Lib::LoadableRealFunctionBase:
[legend]
Collaboration diagram for IG::Lib::LoadableRealFunctionBase:
[legend]

List of all members.

## Public Member Functions
| LoadableRealFunctionBase ()
| Default function constructor, result is reference function (witout shifting or stretching).
| LoadableRealFunctionBase (double Kx, double Sx)
| Function constructor.
| LoadableRealFunctionBase (double Kx, double Sx, double Ky, double Sy)
| Function constructor.
override bool | HigherDerivativeDefined (int order)
| Return a flag indicating whether calculation of specific higher order derivatives.
## Protected Member Functions
virtual void | InitDynamic ()
| Initialization of variables that are used by dynamic loading mechanisim.
internal override void | setHighestDerivativeDefined (int order)
| Sets the internal variable that specifies which is the highest order derivative devined (-1 for unlimited).
## Protected Attributes
string | _returnedValueName = null
## Properties
override string | Name`[get, set]`
| Function name.
override string | Description`[get, set]`
| Function description.
override bool | ValueDefined`[get, set]`
| Whether calculation of value is implemented for the current function.
override bool | DerivativeDefined`[get, set]`
| Whether calculation of derivative is implemeted for the current function.
override bool | SecondDerivativeDefined`[get, set]`
| Whether calculation of second derivative is implemented for the current function.
override bool | IntegralDefined`[get, set]`
| Wether analytic indefinite integral is impelemented.
override bool | InverseDefined`[get, set]`
| Whether calculation of inverse function is implemented.
## Private Attributes
string | _functionArgumentName = null
string | _independentVariableName = null
string | _valueDefinitionString = null
string | _derivativeDefinitionString = null
string | _secondDerivativeDefinitionString = null
string | _integralDefinitionString = null
string | _inverseDefinitionString = null

## Detailed Description

A RealFunction class used as base class for dynamically loaded functions. Bunctions loaded from scripts will inherit from this class, which enables script writers to assemble just the minimum necessary amount of code.

$A Igor Jun10;

## Constructor & Destructor Documentation

IG::Lib::LoadableRealFunctionBase::LoadableRealFunctionBase | ( |  | ) | `[inline]`

Default function constructor, result is reference function (witout shifting or stretching).

IG::Lib::LoadableRealFunctionBase::LoadableRealFunctionBase | ( | double | Kx,
|  | double | Sx
| ) |  | `[inline]`

Function constructor.

Parameters:

  Kx | Stretch of the reference function graph in x direction.
  Sx | Shift of the reference function graph in x direction.

IG::Lib::LoadableRealFunctionBase::LoadableRealFunctionBase | ( | double | Kx,
|  | double | Sx,
|  | double | Ky,
|  | double | Sy
| ) |  | `[inline]`

Function constructor.

Parameters:

  Kx | Stretch of the reference function graph in x direction.
  Sx | Shift of the reference function graph in x direction.
  Ky | Stretch of the reference function graph in y direction.
  Sy | Shift of the reference function graph in y direction.

## Member Function Documentation

virtual void IG::Lib::LoadableRealFunctionBase::InitDynamic | ( |  | ) | `[inline, protected, virtual]`

Initialization of variables that are used by dynamic loading mechanisim.

Reimplemented in IG::Script::ScritpRealFunctionExample::Container::Function.

override bool IG::Lib::LoadableRealFunctionBase::HigherDerivativeDefined | ( | int | order | ) | `[inline]`

Return a flag indicating whether calculation of specific higher order derivatives.

Parameters:

  order | Order of derivative for which definition is queried.

Reimplemented from IG::Num::RealFunction.

internal override void IG::Lib::LoadableRealFunctionBase::setHighestDerivativeDefined | ( | int | order | ) | `[inline, protected, virtual]`

Sets the internal variable that specifies which is the highest order derivative devined (-1 for unlimited).

Parameters:

  order | Highest order for which derivative is defined. -1 means that all derivatives are defined.

Reimplemented from IG::Num::RealFunction.

## Member Data Documentation

string IG::Lib::LoadableRealFunctionBase::_returnedValueName = null`[protected]`

string IG::Lib::LoadableRealFunctionBase::_functionArgumentName = null`[private]`

string IG::Lib::LoadableRealFunctionBase::_independentVariableName = null`[private]`

string IG::Lib::LoadableRealFunctionBase::_valueDefinitionString = null`[private]`

string IG::Lib::LoadableRealFunctionBase::_derivativeDefinitionString = null`[private]`

string IG::Lib::LoadableRealFunctionBase::_secondDerivativeDefinitionString = null`[private]`

string IG::Lib::LoadableRealFunctionBase::_integralDefinitionString = null`[private]`

string IG::Lib::LoadableRealFunctionBase::_inverseDefinitionString = null`[private]`

## Property Documentation

override string IG::Lib::LoadableRealFunctionBase::Name`[get, set]`

Function name.

Reimplemented from IG::Num::RealFunction.

override string IG::Lib::LoadableRealFunctionBase::Description`[get, set]`

Function description.

Reimplemented from IG::Num::RealFunction.

override bool IG::Lib::LoadableRealFunctionBase::ValueDefined`[get, set]`

Whether calculation of value is implemented for the current function.

Reimplemented from IG::Num::RealFunction.

override bool IG::Lib::LoadableRealFunctionBase::DerivativeDefined`[get, set]`

Whether calculation of derivative is implemeted for the current function.

Reimplemented from IG::Num::RealFunction.

override bool IG::Lib::LoadableRealFunctionBase::SecondDerivativeDefined`[get, set]`

Whether calculation of second derivative is implemented for the current function.

Reimplemented from IG::Num::RealFunction.

override bool IG::Lib::LoadableRealFunctionBase::IntegralDefined`[get, set]`

Wether analytic indefinite integral is impelemented.

Reimplemented from IG::Num::RealFunction.

override bool IG::Lib::LoadableRealFunctionBase::InverseDefined`[get, set]`

Whether calculation of inverse function is implemented.

Reimplemented from IG::Num::RealFunction.

The documentation for this class was generated from the following file:

- RealFunctionScriptBase.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events